Bug 1418411 - [RFE] Add Heat Resources for Neutron Routed Networks
Summary: [RFE] Add Heat Resources for Neutron Routed Networks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 12.0 (Pike)
Assignee: Rabi Mishra
QA Contact: Ronnie Rasouli
URL:
Whiteboard: not automated
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 18:57 UTC by Dan Sneddon
Modified: 2018-02-05 19:04 UTC (History)
13 users (show)

Fixed In Version: openstack-heat-9.0.0-0.20170614161647.724d609.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-13 21:06:26 UTC
Target Upstream Version:
rrasouli: automate_bug-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 438171 None None None 2017-04-26 18:36:47 UTC
OpenStack gerrit 452595 None None None 2017-04-26 18:43:49 UTC
OpenStack gerrit 452596 None None None 2017-04-26 18:44:11 UTC
OpenStack gerrit 452597 None None None 2017-04-26 18:44:56 UTC
OpenStack gerrit 452598 None None None 2017-04-26 18:45:13 UTC
OpenStack gerrit 457933 None None None 2017-04-26 18:45:30 UTC
Red Hat Product Errata RHEA-2017:3462 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Internal Links: 1403955

Description Dan Sneddon 2017-02-01 18:57:02 UTC
Description of problem:
Neutron was recently updated to support routed networks, but Heat does not yet support these new resources.

Version-Release number of selected component (if applicable):
OSP 11/Ocata

Actual results:
There are no Heat resources which can be used to instantiate routed network resources.

Expected results:
Heat should support routed network resources.

Additional info:
At minimum, we will probably have to:

1) Add OS::Neutron::Segment, which represents layer 2 segments.
2) The OS::Neutron::Network will be updated to support the l2-adjacency attribute.
3) The OS::Neutron::Subnet and OS::Neutron:port resources need to be extended to support the segment_id attribute.

https://specs.openstack.org/openstack/neutron-specs/specs/newton/routed-networks.html

I registered a Heat blueprint for this work here:
https://blueprints.launchpad.net/heat/+spec/heat-neutron-routed-networks

Comment 6 Thierry Vignaud 2017-06-22 13:05:48 UTC
changes are in openstack-heat-9.0.0-0.20170614161647.724d609.el7ost + openstack-neutron-11.0.0-0.20170616110047.243c742.el7ost

Comment 13 errata-xmlrpc 2017-12-13 21:06:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.